<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="indexpage" kind="group">
    <compoundname>index</compoundname>
    <title>CY8CKIT-028-TFT shield support library</title>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
<para>The TFT Display Shield Board (CY8CKIT-028-TFT) has been designed such that a TFT display, audio devices, and sensors can interface with PSoC MCUs.</para><para>It comes with the features below to enable everyday objects to connect to the Internet of Things (IoT).</para><para><itemizedlist>
<listitem><para>2.4 inch TFT Display (ST7789V)</para></listitem><listitem><para>Motion Sensor (BMI-160)</para></listitem><listitem><para>Ambient Light Sensor (TEMT6000X01)</para></listitem><listitem><para>PDM Microphone example code (SPK0838HT4HB)</para></listitem><listitem><para>Audio Codec (AK4954A)</para></listitem></itemizedlist>
</para><para>This shield has a Newhaven 2.4″ 240×320 TFT display with a Sitronix ST7789 display controller and uses the 8080-Series Parallel Interface.</para><para>The shield library provides support for:<itemizedlist>
<listitem><para>Initializing/freeing all of the hardware peripheral resources on the board</para></listitem><listitem><para>Defining all pin mappings from the Arduino interface to the different peripherals</para></listitem><listitem><para>Providing access to each of the underlying peripherals on the board</para></listitem></itemizedlist>
</para><para>This library makes use of support libraries: <ulink url="https://github.com/cypresssemiconductorco/display-tft-st7789v">display-tft-st7789v</ulink>, <ulink url="https://github.com/cypresssemiconductorco/sensor-light">sensor-light</ulink>, <ulink url="https://github.com/cypresssemiconductorco/sensor-motion-bmi160">sensor-motion-bmi160</ulink>, and <ulink url="https://github.com/cypresssemiconductorco/audio-codec-ak4954a">audio-codec-ak4954a</ulink>. These can be seen in the libs directory and can be used directly instead of through the shield if desired.</para><para>The TFT Display Shield Board uses the Arduino Uno pin layout plus an additional 6 pins. It is compatible with the PSoC 4 and PSoC 6 Pioneer Kits. Refer to the respective kit guides for more details.</para><para><image name="board.png" type="html" />
</para><para><heading level="1">Quick Start Guide</heading>
</para><para><itemizedlist>
<listitem><para><ulink url="https://github.com/cypresssemiconductorco/display-tft-st7789v#quick-start">Display usage</ulink></para></listitem><listitem><para><ulink url="https://github.com/cypresssemiconductorco/sensor-motion-bmi160#quick-start">Motion Sensor usage</ulink></para></listitem><listitem><para><ulink url="https://github.com/cypresssemiconductorco/sensor-light#quick-start">Light Sensor usage</ulink></para></listitem><listitem><para><ulink url="https://github.com/cypresssemiconductorco/audio-codec-ak4954a#quick-start">Audio Codec usage</ulink></para></listitem></itemizedlist>
</para><para><bold>More information</bold>
</para><para><itemizedlist>
<listitem><para><ulink url="https://cypresssemiconductorco.github.io/CY8CKIT-028-TFT/html/index.html">API Reference Guide</ulink></para></listitem><listitem><para><ulink url="https://www.cypress.com/documentation/development-kitsboards/tft-display-shield-board-cy8ckit-028-tft">CY8CKIT-028-TFT Documentation</ulink></para></listitem><listitem><para><ulink url="https://github.com/cypresssemiconductorco/emwin">SEGGER emWin Middleware Library</ulink></para></listitem><listitem><para><ulink url="http://www.cypress.com">Cypress Semiconductor, an Infineon Technologies Company</ulink></para></listitem><listitem><para><ulink url="https://github.com/cypresssemiconductorco">Cypress Semiconductor GitHub</ulink></para></listitem><listitem><para><ulink url="https://www.cypress.com/products/modustoolbox-software-environment">ModusToolbox</ulink> <hruler />
 © Cypress Semiconductor Corporation, 2019-2020. </para></listitem></itemizedlist>
</para>    </detaileddescription>
  </compounddef>
</doxygen>